Last Comment Bug 1019432 - [AccessFu] Zooming doesn't work with TalkBack enabled
: [AccessFu] Zooming doesn't work with TalkBack enabled
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: unspecified
: All All
P1 normal (vote)
: mozilla43
Assigned To: Eitan Isaacson [:eeejay]
:
: alexander :surkov
Mentors:
Depends on:
Blocks: AndroidA11yUpdates
  Show dependency treegraph
 
Reported: 2014-06-03 00:51 PDT by Kostadin Kolev
Modified: 2015-09-17 13:09 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
+


Attachments
[AccessFu] Only capture explore by touch events in Android. (7.23 KB, patch)
2015-09-08 17:14 PDT, Eitan Isaacson [:eeejay]
yzenevich: review+
Details | Diff | Splinter Review

Description User image Kostadin Kolev 2014-06-03 00:51:11 PDT
User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:29.0) Gecko/20100101 Firefox/29.0 (Beta/Release)
Build ID: 20140506152807

Steps to reproduce:

1. Enable TalkBack from Settings -> Accessibility -> TalkBack.
2. Start Firefox and load a page in it (a one that could be zoomed in).
3. Try zooming in and out the loaded page, using 2 (or 3 if necessary) fingers.


Actual results:

Zooming doesn't work.


Expected results:

Zooming should work, even when TalkBack is enabled. If necessary - 3 finger gestures should be used to make it work.
Comment 1 User image Kartikaya Gupta (email:kats@mozilla.com) 2014-06-03 10:18:20 PDT
Any thoughts on whether you want this supported, and what the user interaction would be like? IMO if you want to support zooming with accessibility enabled then it might be better to have desktop-style zoom (i.e. fixed zoom amounts) rather than the current mobile pinch-zoom.
Comment 2 User image Eitan Isaacson [:eeejay] 2014-06-03 10:20:30 PDT
(In reply to Kostadin Kolev from comment #0)
> Zooming should work, even when TalkBack is enabled. If necessary - 3 finger
> gestures should be used to make it work.

Is this how you zoom in Chrome?
Comment 3 User image Eitan Isaacson [:eeejay] 2014-06-03 10:21:09 PDT
(In reply to Kartikaya Gupta (email:kats@mozilla.com) from comment #1)
> Any thoughts on whether you want this supported, and what the user
> interaction would be like? IMO if you want to support zooming with
> accessibility enabled then it might be better to have desktop-style zoom
> (i.e. fixed zoom amounts) rather than the current mobile pinch-zoom.

Yeah, we capture all touch events, so we may need to do something ourselves.
Comment 4 User image Kostadin Kolev 2014-06-03 10:35:27 PDT
Yes, I want zooming to be supported even with TalkBack enabled. And YES - in Chrome, I place 3 fingers on the screen and move 1 of them away or towards the other 2 and that is how zooming in and out works.
Comment 5 User image Eitan Isaacson [:eeejay] 2014-06-03 10:41:23 PDT
Great, thanks Kostadin. I agree this would be a great improvement, and also needed in Firefox OS.

I am refiling this as an AccessFu bug. We currently capture all touch events, and we will probably be implementing this on our end as opposed to passing this through in Android.

Thanks for putting this on our radar!
Comment 6 User image Mark Finkle (:mfinkle) (use needinfo?) 2014-06-05 10:37:19 PDT
Do we have any idea about how we want to track this bug? Just a +? Or do we want this to land sooner?
Comment 7 User image Brad Lassey [:blassey] (use needinfo?) 2014-10-20 08:27:00 PDT
filter on [mass-p5]
Comment 8 User image Wesley Johnston (:wesj) 2015-07-28 09:40:54 PDT
I have no idea why I assigned this to myself. From comment 5 it sounds like the accessibility people wanted it.
Comment 9 User image Michael Comella (:mcomella) [not active on fennec/Bugzilla: contact me via IRC] 2015-07-28 09:57:15 PDT
Seems important – I'm going to renom.
Comment 10 User image Richard Newman [:rnewman] 2015-07-30 10:13:28 PDT
Still happens?
Comment 11 User image Kevin Brosnan [:kbrosnan] 2015-08-25 13:36:33 PDT
This still happens in nightly. Chrome allows zooming using the 2 finger pinch/pull gesture.
Comment 12 User image Mark Finkle (:mfinkle) (use needinfo?) 2015-08-27 10:08:42 PDT
Mike - Can you take a look at how the Android Gestures are being handled? Might be a Java side issue, but could be an APZ issue too?
Comment 13 User image Eitan Isaacson [:eeejay] 2015-09-08 17:14:56 PDT
Created attachment 8658454 [details] [diff] [review]
[AccessFu] Only capture explore by touch events in Android.
Comment 14 User image Eitan Isaacson [:eeejay] 2015-09-08 17:18:34 PDT
We currently capture all touch/mouse events in order to support things like swipe navigation with TalkBack in ICS. The ICS share is shrinking, and it is not worth having that extra functionality for a small segment.

Note, removing this does not completely remove accessibility support for ICS, it just removes the extra features we had in order to make it suck a bit less than the rest of the platform..
Comment 15 User image Michael Comella (:mcomella) [not active on fennec/Bugzilla: contact me via IRC] 2015-09-08 17:44:58 PDT
Thanks for grabbing this Eitan. If you need me to jump in again, NI me.
Comment 16 User image Yura Zenevich [:yzen] 2015-09-09 07:47:47 PDT
Comment on attachment 8658454 [details] [diff] [review]
[AccessFu] Only capture explore by touch events in Android.

Review of attachment 8658454 [details] [diff] [review]:
-----------------------------------------------------------------

This is good stuff :)
Comment 18 User image Carsten Book [:Tomcat] 2015-09-11 07:41:39 PDT
https://hg.mozilla.org/mozilla-central/rev/bb14c6b7a30b
Comment 19 User image Liz Henry (:lizzard) (needinfo? me) 2015-09-16 16:50:46 PDT
Release Note Request (optional, but appreciated)
[Why is this notable]:  User facing improvements! Great. 
[Suggested wording]: Accessibility improvements for scrolling, zooming, and context menus in Talkback 
[Links (documentation, blog post, etc)]: http://blog.monotonous.org/2015/09/15/firefox-for-android-accessibility-refresh/

It seems good to me to describe this and several other bugs mentioned in the blog post, rolled up into one release note. 

If you have improvements for the release note wording, please comment and needinfo me. Thanks!
Comment 20 User image Eitan Isaacson [:eeejay] 2015-09-17 12:04:46 PDT
The wording looks good, I would add braille:
Accessibility improvements for scrolling, zooming, braille, and context menus in Talkback 

Also, this relnote tag should probably be on the dependent bug 1182162 instead of this one.

Note You need to log in before you can comment on or make changes to this bug.